#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "xmlparser.h"
#include <QtCore>
#include <QMainWindow>
#include <QTreeWidget>
#include <QFileDialog>
#include <QTextEdit>
#include <QBoxLayout>
#include <QPushButton>
#include <QSpacerItem>
#include <QPoint>
#include <QLabel>
#include <QApplication>
#include <QMainWindow>
#include <QWidget>
#include <QTextEdit>
#include <QMenuBar>
#include <QDockWidget>
#include <QErrorMessage>
#include <QListWidget>
#include <QListView>
#include <QComboBox>
#include <QTreeView>
#include <QPushButton>
#include <QFileDialog>
#include <QtXml>
#include <QXmlQuery>
#include <QXmlAttributes>
#include <QXmlSimpleReader>
#include <QMessageBox>



QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class XMLParser;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    friend class XMLParser;
public slots:
    bool openXmlFile();
    void closeAll();
    bool openXqFile();
    void on_run_btn_pressed();
    void ContextMenu(QPoint pos);
    void setFileActive();
    void slotCloseFile();

private:
    Ui::MainWindow *ui;
    XMLParser      *handler;
    QTreeView      *treeView;
    QLabel         *enterQuery_lbl;
    QTextEdit      *query_te;
    QPushButton    *run_btn;
    QPushButton    *chooseFile_btn;
    QVBoxLayout    *main_vLayout;
    QVBoxLayout    *btns_vLayout;
    QHBoxLayout    *query_hLayout;
    QStringList    *filePaths;
    QModelIndex     activeIndex;
};
#endif 
